import type { ChangeObserver } from './Observable';
import { Observable } from './Observable';
/**
 * An ObservableValue lets you listen to a single value
 *
 * *  Ways to observe:
 * - The normal Observable onChange()
 *
 * If the value in the ObservableValue is also Observable, any changes to the value
 * will also bubble up to the ObservableValue
 */
export declare class ObservableValue<T> extends Observable<T> {
    private _value;
    constructor(intialValue: T);
    protected notifyObserver: (observer: ChangeObserver<T>) => void;
    get value(): T;
    set value(newVal: T);
}
export declare const createObservableValue: <T = any>(value: T) => ObservableValue<T>;
