import { Observable } from './Observable';
export class ObservableValue extends Observable {
    constructor(intialValue) {
        super();
        this.notifyObserver = (observer) => {
            observer(this.value);
        };
        this._value = intialValue;
    }
    get value() {
        return this._value;
    }
    set value(newVal) {
        if (this._value !== newVal) {
            this.removeChildObservables(this._value);
            this.addChildObservable(newVal);
            this._value = newVal;
            this.setDirty();
        }
    }
}
export const createObservableValue = (value) => {
    return new ObservableValue(value);
};
