import type { MpSdk } from '.';
import { ObservableValue } from './ObservableValue';
export declare class R3FSDKAdapter {
    sdk: MpSdk;
    private r3fStore;
    private r3fElements;
    private mpScene;
    constructor(sdk: MpSdk);
    /** Remove all registered elements */
    clear(): void;
    /**
     * Remove all registered elements
     * Remove the r3f scene from matterport scene
     * Remove references from loops
     *
     * note: dispose the sdk separately?
     */
    dispose(): void;
    register(element: JSX.Element | (() => JSX.Element)): void;
    private onReady;
    private onFrame;
    private onSizeChange;
    private onPixelRatioChange;
    private envSync;
}
/**
 * Root React component that provides the context, watches for changes to the set of registered
 * R3F elements, and portals them into our scene.
 */
export declare function R3FRoot(props: R3FRootProps): JSX.Element;
declare type R3FRootProps = {
    r3fElements: ObservableValue<JSX.Element[]>;
    sdk: MpSdk;
};
export {};
