import type { FunctionComponent } from 'react';
import type { R3FEventHandlers } from '../types';
interface PointerProps extends R3FEventHandlers {
    visible?: boolean;
    textureSrc?: string | null;
}
/**
 * A convenience React component for exposing the Matterport pointer, allowing R3F pointer
 * events to be registered scene-wide as well as controlling its visibility and appearance.
 *
 * Registering pointer events here is similar to <MatterportModel>, but whereas that only
 * catches events on the model mesh, this will catch events that bubble up to the scene root
 * from any object, including the SkySphereMesh and raycasted objects without handlers or
 * with handlers that don't stop propagation.
 */
export declare const MatterportPointer: FunctionComponent<PointerProps>;
export declare function clearRegisteredTextures(): void;
export {};
