import { useMatterportSdk } from '.';
import { useEffect, useState, } from 'react';
const INITIAL_POSE = { position: { x: 0, y: 0, z: 0 }, rotation: { x: 0, y: 0 } };
export function useMatterportPose() {
    const sdk = useMatterportSdk();
    const [pose, set] = useState(INITIAL_POSE);
    useEffect(() => {
        if (!sdk)
            return;
        const unsub = sdk.Camera.pose.subscribe({ onChanged: (data) => set(data) });
        return unsub.cancel;
    }, [sdk]);
    return pose;
}
