import type { LocalState } from '@react-three/fiber';
import type { Object3D } from 'three';
import type { R3FEventHandlers } from '../types';
export interface R3FManagedObject3D extends Object3D {
    __r3f?: Pick<LocalState, 'eventCount' | 'handlers'>;
}
/**
 * Attach a set of R3F event handlers to a given target Object3D which is not itself
 * created by R3F. This lets us put R3F events on the Matterport model, the whole scene,
 * etc. This hook can be called for the same Object3D from multiple React components and
 * the handlers will be aggregated together.
 * @private
 */
export declare function useObjectR3FEvents(target: Object3D | null, handlers: R3FEventHandlers): void;
