/// <reference types="react" />
import type { MpSdk } from '../';
export declare const MpSdkContext: import("react").Context<MpSdk | null>;
/**
 * Hook that gives access to the Matterport SDK object within a React component.
 *
 *   function ScreenshotTrigger() {
 *     const sdk = useMatterportSdk();
 *     return (
 *       <mesh onClick={() => { sdk.Renderer.takeScreenShot(); }}>
 *         ...
 *       </mesh>
 *     );
 *   }
 */
export declare function useMatterportSdk(): MpSdk | null;
