import { useEffect, useState } from 'react';
import { useMatterportSdk } from './index';
function useSceneQuery(query) {
    const sdk = useMatterportSdk();
    const [result, setResult] = useState(null);
    useEffect(() => {
        if (sdk) {
            sdk.Scene.query([query]).then((results) => {
                var _a;
                setResult((_a = results[0]) !== null && _a !== void 0 ? _a : null);
            });
        }
    }, [sdk, query]);
    return result;
}
export function useMatterportScene() {
    return useSceneQuery('scene');
}
export function useMatterportModelMesh() {
    return useSceneQuery('model');
}
